Name: writerperfect
Version: 0.8.4
Release: 1%{?dist}
Summary: Tools to transform various file formats into ODF

Group: Applications/Publishing
# the only BSD sources are src/FemtoZip.{h,c}xx
License: (MPLv2.0 or LGPLv2+) and BSD
URL: http://libwpd.sourceforge.net/
Source: http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz

BuildRequires: help2man
BuildRequires: pkgconfig(libabw-0.0)
BuildRequires: pkgconfig(libcdr-0.0)
BuildRequires: pkgconfig(libe-book-0.0)
BuildRequires: pkgconfig(libetonyek-0.0)
BuildRequires: pkgconfig(libfreehand-0.0)
BuildRequires: pkgconfig(libgsf-1)
BuildRequires: pkgconfig(libmspub-0.0)
BuildRequires: pkgconfig(libmwaw-0.2)
BuildRequires: pkgconfig(libodfgen-0.0)
BuildRequires: pkgconfig(libvisio-0.0)
BuildRequires: pkgconfig(libwpd-0.9)
BuildRequires: pkgconfig(libwpg-0.2)
BuildRequires: pkgconfig(libwps-0.2)

%description
Tools to transform various file formats into ODF.

%prep
%setup -q

%build
%configure \
    --disable-silent-rules \
    --disable-werror \
    --with-libabw \
    --with-libcdr \
    --with-libe-book \
    --with-libetonyek \
    --with-libfreehand \
    --with-libmspub \
    --with-libmwaw \
    --with-libvisio \
    --with-libwps

make %{?_smp_mflags}

export LD_LIBRARY_PATH=`pwd`/src/lib/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
help2man -N --no-discard-stderr -n 'convert AbiWord document into ODF' -o abw2odt.1 ./src/abw2odt
help2man -N --no-discard-stderr -n 'convert CorelDRAW document into ODF' -o cdr2odg.1 ./src/cdr2odg
help2man -N --no-discard-stderr -n 'convert Corel Presentation Exchange file into ODF' -o cmx2odg.1 ./src/cmx2odg
help2man -N --no-discard-stderr -n 'convert e-book into ODF' -o ebook2odt.1 ./src/ebook2odt
help2man -N --no-discard-stderr -n 'convert FreeHand document into ODF' -o fh2odg.1 ./src/fh2odg
help2man -N --no-discard-stderr -n 'convert Keynote presentation into ODF' -o key2odp.1 ./src/key2odp
help2man -N --no-discard-stderr -n 'convert Mac document into ODF' -o mwaw2odt.1 ./src/mwaw2odt
help2man -N --no-discard-stderr -n 'convert Publisher document into ODF' -o pub2odg.1 ./src/pub2odg
help2man -N --no-discard-stderr -n 'convert Visio document into ODF' -o vsd2odg.1 ./src/vsd2odg
help2man -N --no-discard-stderr -n 'convert Visio stencil into ODF' -o vss2odg.1 ./src/vss2odg
help2man -N --no-discard-stderr -n 'convert WordPerfect document into ODF' -o wpd2odt.1 ./src/wpd2odt
help2man -N --no-discard-stderr -n 'convert WordPerfect graphics into ODF' -o wpg2odg.1 ./src/wpg2odg
help2man -N --no-discard-stderr -n 'convert Works document into ODF' -o wps2odt.1 ./src/wps2odt

%install
make install DESTDIR=%{buildroot}

install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 *od?.1 %{buildroot}/%{_mandir}/man1

%files
%doc ChangeLog COPYING.LGPL COPYING.MPL NEWS README
%{_bindir}/abw2odt
%{_bindir}/cdr2odg
%{_bindir}/cmx2odg
%{_bindir}/ebook2odt
%{_bindir}/fh2odg
%{_bindir}/key2odp
%{_bindir}/mwaw2odt
%{_bindir}/pub2odg
%{_bindir}/vsd2odg
%{_bindir}/vss2odg
%{_bindir}/wpd2odt
%{_bindir}/wpg2odg
%{_bindir}/wps2odt
%{_mandir}/man1/abw2odt.1*
%{_mandir}/man1/cdr2odg.1*
%{_mandir}/man1/cmx2odg.1*
%{_mandir}/man1/ebook2odt.1*
%{_mandir}/man1/fh2odg.1*
%{_mandir}/man1/key2odp.1*
%{_mandir}/man1/mwaw2odt.1*
%{_mandir}/man1/pub2odg.1*
%{_mandir}/man1/vsd2odg.1*
%{_mandir}/man1/vss2odg.1*
%{_mandir}/man1/wpd2odt.1*
%{_mandir}/man1/wpg2odg.1*
%{_mandir}/man1/wps2odt.1*

%changelog
* Wed Apr 09 2014 David Tardon <dtardon@redhat.com> - 0.8.4-1
- new upstream release

* Sat Nov 02 2013 David Tardon <dtardon@redhat.com> - 0.8.3-1
- new release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 David Tardon <dtardon@redhat.com> - 0.8.2-2
- package license files

* Sun May 12 2013 David Tardon <dtardon@redhat.com> - 0.8.2-1
- initial import
